> ## Documentation Index
> Fetch the complete documentation index at: https://docs.woodwide.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Embed Session

> Mint a short-lived embed token for a browser session. **API-key only** — call this from your backend with your `sk_` key. Embed tokens cannot mint more embed tokens.



## OpenAPI

````yaml /openapi.json post /embed/sessions
openapi: 3.1.0
info:
  title: Woodwide API
  description: API service for the Woodwide platform
  version: 0.1.0
servers:
  - url: https://api.woodwide.ai
    description: Production
security: []
paths:
  /embed/sessions:
    post:
      tags:
        - Embed
      summary: Create Embed Session
      description: >-
        Mint a short-lived embed token for a browser session. **API-key only** —
        call this from your backend with your `sk_` key. Embed tokens cannot
        mint more embed tokens.
      operationId: create_embed_session_embed_sessions_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEmbedSessionRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbedSessionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateEmbedSessionRequest:
      properties:
        end_user_ref:
          anyOf:
            - type: string
              maxLength: 256
            - type: 'null'
          title: End User Ref
          description: >-
            Opaque, audit-only reference to your end user. Not used for data
            filtering.
        ttl_seconds:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Ttl Seconds
          description: Requested token lifetime in seconds; capped at the server maximum.
      type: object
      title: CreateEmbedSessionRequest
      description: Request to mint a short-lived embed session token.
    EmbedSessionResponse:
      properties:
        token:
          type: string
          title: Token
        expires_at:
          type: string
          format: date-time
          title: Expires At
        expires_in:
          type: integer
          title: Expires In
      type: object
      required:
        - token
        - expires_at
        - expires_in
      title: EmbedSessionResponse
      description: A minted embed session token.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````